SSLHostConfig.Type (Apache Tomcat 9.0.119 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net, class: SSLHostConfig, enum: Type

# Enum SSLHostConfig.Type

java.lang.Object
java.lang.Enum<SSLHostConfig.Type>
org.apache.tomcat.util.net.SSLHostConfig.Type

All Implemented Interfaces:
  `Serializable, Comparable<SSLHostConfig.Type>, java.lang.constant.Constable`

Enclosing class:
  `SSLHostConfig`

public static enum SSLHostConfig.Type extends Enum<SSLHostConfig.Type>
SSL configuration type.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `JSSE`
  JSSE configuration.
  `OPENSSL`
  OpenSSL configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SSLHostConfig.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SSLHostConfig.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JSSE

    public static final SSLHostConfig.Type JSSE
    JSSE configuration.

  - ### OPENSSL

    public static final SSLHostConfig.Type OPENSSL
    OpenSSL configuration.

- ## Method Details

  - ### values

    public static SSLHostConfig.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SSLHostConfig.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null